//
//  ViewController.m
//  WYMenu
//
//  Created by Admin on 2016/9/28.
//  Copyright © 2016年 Admin. All rights reserved.
//
//获取屏幕 宽度、高度
#define SCREEN_WIDTH ([[UIScreen mainScreen] bounds].size.width)
#define SCREEN_HEIGHT ([[UIScreen mainScreen] bounds].size.height)
#import "ViewController.h"
#import "WYMenuClass.h"
#import "OnOfferVC.h"
#import "WarehouseVC.h"
@interface ViewController ()<WYMenuClassDelegate,UIScrollViewDelegate>{UIScrollView *_scrollView;}
@property (nonatomic) WYMenuClass *menu ;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor=[UIColor redColor];
    [self CreatMenu];
    
}


-(void)CreatMenu{
    self.menu = [[WYMenuClass alloc]initWithFrame:CGRectMake(0,64,self.view.frame.size.width, 40) menuTitleArray:@[@"全部"] leftTitleArr:@[@"出售中",@"仓库中"] selectColor:[UIColor redColor] nomolColor:[UIColor blackColor]];
    
    [self build];
    
    NSArray *sortRuleArray=@[@"全部",@"价格",@"评分",@"最新"];
    self.menu.delegate=self;
    self.menu.menuDataArray = [NSMutableArray arrayWithObjects:sortRuleArray, nil];
    
    [self.view addSubview:self.menu];
    
    //__weak typeof(self) _self = self;
    
    [self.menu setHandleSelectDataBlock:^(NSString *selectTitle, NSUInteger selectIndex, NSUInteger selectButtonTag) {
        
        
        NSLog(@"%@",[NSString stringWithFormat:@"selectTitle = %@\n selectIndex = @%lu\n selectButtonTag = @%lu",selectTitle,selectIndex,selectButtonTag]);
        
    }];
}
-(void)build{
    
    _scrollView = [[UIScrollView alloc] init];
    _scrollView.frame = CGRectMake(0,self.menu.frame.origin.y+self.menu.frame.size.height,SCREEN_WIDTH,SCREEN_HEIGHT);
    _scrollView.contentSize = CGSizeMake(SCREEN_WIDTH*2,SCREEN_HEIGHT);
    _scrollView.pagingEnabled = YES;
    _scrollView.scrollEnabled = NO;
    _scrollView.delegate=self;
    [self.view addSubview:_scrollView];
    
    
    OnOfferVC * AddComplain = [[OnOfferVC alloc]init];
    AddComplain.view.frame = CGRectMake(0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
    [self addChildViewController: AddComplain];
    [_scrollView addSubview: AddComplain.view];
    
    WarehouseVC *AddRepairs = [[WarehouseVC alloc]init];
    AddRepairs.view.frame =CGRectMake(SCREEN_WIDTH,0,SCREEN_WIDTH,SCREEN_HEIGHT);
    [self addChildViewController:AddRepairs];
    [_scrollView addSubview:AddRepairs.view];
}
-(void)segmentView:(WYMenuClass *)segmentView didSelectIndex:(NSInteger)index{
    
    switch (index) {
            
        case 0:{
            [_scrollView setContentOffset:CGPointMake(_scrollView.bounds.size.width * index, 0) animated:YES];
        }break;
            
        case 1:{
            [_scrollView setContentOffset:CGPointMake(_scrollView.bounds.size.width * index, 0) animated:YES];
        }break;
        default:
            break;
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}@end

